﻿Imports System.Windows.Input

Imports Utils.Silverlight.MVVM
Imports Utils.Demo.ContosoSales.MVVM.Model

Namespace Utils.Demo.ContosoSales.MVVM
	Public Interface ICustomersViewModel
		Inherits IViewModel
		''' <summary>
		''' Service giving access to the data.
		''' </summary>
		Property DataService() As IDataService

		''' <summary>
		''' Open customer command.
		''' </summary>
		Property OpenCustomerCommand() As ICommand

		''' <summary>
		''' Help command.
		''' </summary>
		Property HelpCommand() As ICommand

		''' <summary>
		''' Current customer.
		''' </summary>
		Property SelectedCustomer() As Customer

		''' <summary>
		''' List of customers.
		''' </summary>
		Property Customers() As List(Of Customer)
	End Interface
End Namespace
