﻿Imports System.Windows.Input
Imports System.Windows.Controls

Imports Utils.Silverlight.MVVM

Namespace Utils.Demo.ContosoSales.MVVM
	Public Interface IHelpViewModel
		Inherits IClosableViewModel
		''' <summary>
		''' Help text to show.
		''' </summary>
		Property HelpText() As String

		''' <summary>
		''' What is the user searching for.
		''' </summary>
		Property SearchText() As String

		''' <summary>
		''' Close.
		''' </summary>
		Property CloseCommand() As ICommand

		''' <summary>
		''' Search.
		''' </summary>
		Property SearchCommand() As ICommand
	End Interface
End Namespace
