﻿Imports Utils.Silverlight.MVVM.Navigation

Namespace Utils.Silverlight.MVVM
	Public Interface IViewModel
		''' <summary>
		''' Method will be called once the ViewModel is completely loaded and attached to the View.
		''' </summary>
		Sub OnLoaded()

		''' <summary>
		''' Method will be called once the navigation is done.
		''' The args will contain all arguments that were passed while navigating.
		''' </summary>
		''' <param name="args"></param>
		Sub OnNavigated(ByVal args As NavigationArguments)

		''' <summary>
		''' Make sure each ViewModel can provide a title.
		''' </summary>
		''' <returns></returns>
		Function GetTitle() As String
	End Interface
End Namespace
