﻿Imports System.Windows.Input

Imports Utils.Silverlight.MVVM
Imports Utils.Demo.ContosoSales.MVVM.Model

Namespace Utils.Demo.ContosoSales.MVVM
	Public Interface ISalesTeamViewModel
		Inherits IViewModel
		''' <summary>
		''' Gets or sets the data service.
		''' </summary>
		''' <value>The data service.</value>
		Property DataService() As IDataService

		''' <summary>
		''' Open employee command.
		''' </summary>
		Property OpenEmployeeCommand() As ICommand

		''' <summary>
		''' Navigate to help command.
		''' </summary>
		Property HelpCommand() As ICommand

		''' <summary>
		''' Current employee.
		''' </summary>
		Property SelectedEmployee() As Employee

		''' <summary>
		''' The employees list.
		''' </summary>
		Property Employees() As List(Of Employee)
	End Interface
End Namespace
