﻿Namespace Utils.Demo.ContosoSales.MVVM.Model
	Public Interface IDataService
		''' <summary>
		''' Get the list of customers.
		''' </summary>
		''' <returns></returns>
		Function GetCustomers() As List(Of Customer)

		''' <summary>
		''' Get a single customer based on the id.
		''' </summary>
		''' <param name="id"></param>
		''' <returns></returns>
		Function GetCustomerById(ByVal id As Integer) As Customer

		''' <summary>
		''' Get the list of employees.
		''' </summary>
		''' <returns></returns>
		Function GetEmployees() As List(Of Employee)

		''' <summary>
		''' Get a single employee based on the lastname.
		''' </summary>
		''' <param name="lastname"></param>
		''' <returns></returns>
		Function GetEmployeeByLastname(ByVal lastname As String) As Employee
	End Interface
End Namespace
